From: Darrick J. Wong <djwong@kernel.org>
Convert the nextid script to use the automatic group file generation to
figure out the next available test id.
Signed-off-by: Darrick J. Wong <djwong@kernel.org>
Reviewed-by: Allison Henderson <redacted>
Reviewed-by: Chandan Babu R <redacted>
---
tools/nextid | 1 -
tools/nextid | 31 +++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+), 1 deletion(-)
delete mode 120000 tools/nextid
create mode 100755 tools/nextid
diff --git a/tools/nextid b/tools/nextid
deleted file mode 120000
index 5c31d602..00000000
--- a/tools/nextid
+++ /dev/null
@@ -1 +0,0 @@
-sort-group
\ No newline at end of file
diff --git a/tools/nextid b/tools/nextid
new file mode 100755
index 00000000..9507de29
--- /dev/null
+++ b/tools/nextid
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# Compute the next available test id in a given test directory.
+
+if [ $# != 1 ] || [ "$1" = "--help" ] || [ ! -d "tests/$1/" ]; then
+ echo "Usage: $0 test_dir"
+ exit 1
+fi
+
+. ./common/test_names
+
+i=0
+eof=1
+
+while read found other_junk;
+do
+ i=$((i+1))
+ id=`printf "%03d" $i`
+ if [ "$id" != "$found" ]; then
+ eof=0
+ break
+ fi
+done < <(cd "tests/$1/" ; ../../tools/mkgroupfile | \
+ grep "^$VALID_TEST_NAME\>" | tr - ' ')
+
+if [ $eof -eq 1 ]; then
+ i=$((i+1))
+ id=`printf "%03d" $i`
+fi
+
+echo "$1/$id"